

<?php include_once('../_header.php'); ?>

<div class="box">
    <h1>DATA PEMBELIAN</h1>
    <h4>
        <small>Data Pembelian</small>
        <div class="pull-right">
            <a href="#menu-toggle" class="btn btn-warning btn-xs" id="menu-toggle">MENU</a>
            <a href="add.php" class="btn btn-success btn-xs"><i class="glyphicon glyphicon-plus"></i> Tambah Data</a>
        </div>
    </h4>
    <div class="table-responsive">
        <table class="table table-striped table-bordered table-hover" id="notebook">
            <thead>
                <tr>
                    <th>Kode </th>
                    <th>Nama Karyawan</th>
                    <th>Tanggal Pengajuan</th>
                    <th>Nama Barang</th>
                    <th>Departemen</th>
                    <th>Keterangan</th>
                    <th>FORM Pembelian</th>
                    <th>Invoice</th>
                    <th>Action</i></th>
                </tr>
            </thead>
            <tbody>
                <?php
                $no = 1;
                $query = "SELECT * FROM tb_pmb 
                INNER JOIN tb_nama ON tb_pmb.dep = tb_nama.id_karyawan
                INNER JOIN tb_barang ON tb_pmb.nama_brg = tb_barang.id_brg";
                $sql_ph = mysqli_query($con, $query) or die(mysqli_error($con));
                while ($data = mysqli_fetch_array($sql_ph)) { ?>
                    <tr>
                        <td><?= $data['id_pmb'] ?></td>
                        <td><?= $data['nama_karyawan'] ?></td>
                        <td><?= date('d-M-Y', strtotime($data['tgl_pmb'])) ?></td>
                        <td><?= $data['nama_brg'] ?></td>
                        <td><?= $data['dep'] ?></td>
                        <td><?= $data['ket_pmb'] ?></td>
                        <td><a href="../pembelian/doc/<?= $data['doc'] ?>" target="_blank" class="btn btn-primary btn-xs"> PMB</td>
                        <td><a href="../pembelian/inv/<?= $data['inv'] ?>" target="_blank" class="btn btn-primary btn-xs"> Invoice</td>
                        <td>
                            <a href="edit.php?id=<?= $data['id_pmb'] ?>" class="btn btn-success btn-xs">
                                <span class="glyphicon glyphicon-edit"></span>
                            </a>
                            <a href="del.php?id=<?= $data['id_pmb'] ?>" class="btn btn-danger btn-xs" onclick="return confirm('Yakin menghapus data?')">
                                <span class="glyphicon glyphicon-trash"> </span>
                            </a>
                        </td>
                    </tr>
                <?php
                } ?>
            </tbody>
        </table>
        </form>
    </div>
</div>
<script>
    $(document).ready(function() {
        $('#notebook').DataTable({
            "processing": true,
            "serverSide": false,
            scrollY: '250px',
            dom: 'Bfrtip',
            buttons: [{
                    extend: 'pdf',
                    orientation: 'potrait',
                    pageSize: 'Legal',
                    title: 'Data Notebook',
                    download: 'open'
                },
                'excel', 'print', 'copy'
            ],
            columnDefs: [{
                "searchable": true,
                "orderable": true,
                "targets": [0, 6],
            }],
            "order": [1, "asc"]
        });
    })
</script>
</div> <?php include_once('../_footer.php'); ?>